package com.ruoyi.project.apply.service;

import com.ruoyi.project.apply.domain.TApplySafetychange;

import java.util.List;

/**
 * 组织保护措施状态变更申请Service接口
 *
 * @author ruoyi
 * @date 2023-02-09
 */
public interface ITApplySafetychangeService
{
    /**
     * 查询组织保护措施状态变更申请
     *
     * @param id 组织保护措施状态变更申请ID
     * @return 组织保护措施状态变更申请
     */
    public TApplySafetychange selectTApplySafetychangeById(Long id);
    public TApplySafetychange selectTApplySafetychangeByLock(String lockNo);

    /**
     * 查询组织保护措施状态变更申请列表
     *
     * @param tApplySafetychange 组织保护措施状态变更申请
     * @return 组织保护措施状态变更申请集合
     */
    public List<TApplySafetychange> selectTApplySafetychangeList(TApplySafetychange tApplySafetychange);
    public List<TApplySafetychange> selectChangeDescribe(TApplySafetychange tApplySafetychange);
    public List<TApplySafetychange> selectSAFA(TApplySafetychange tApplySafetychange);
    public List<TApplySafetychange> selectChangeReason(TApplySafetychange tApplySafetychange);

    /**
     * 新增组织保护措施状态变更申请
     *
     * @param tApplySafetychange 组织保护措施状态变更申请
     * @return 结果
     */
    public int insertTApplySafetychange(TApplySafetychange tApplySafetychange);

    /**
     * 修改组织保护措施状态变更申请
     *
     * @param tApplySafetychange 组织保护措施状态变更申请
     * @return 结果
     */
    public int updateTApplySafetychange(TApplySafetychange tApplySafetychange);

    /**
     * 批量删除组织保护措施状态变更申请
     *
     * @param ids 需要删除的组织保护措施状态变更申请ID
     * @return 结果
     */
    public int deleteTApplySafetychangeByIds(Long[] ids);

    /**
     * 删除组织保护措施状态变更申请信息
     *
     * @param id 组织保护措施状态变更申请ID
     * @return 结果
     */
    public int deleteTApplySafetychangeById(Long id);
}
